Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class Value

    java.lang.Object
      com.bea.content.Value

All Implemented Interfaces
  Serializable

    public class Value

extends Object
implements Serializable

The value for a Property. The typed value can be null.

See Also
  Serialized Form

Constructor Summary
`Value()` Constructs an empty Value.
`Value(BinaryValue binaryValue)` Constructs a BinaryValue Value.
`Value(Boolean booleanValue)` Constructs a Boolean value.
`Value(Calendar calendarValue)` Constructs a Calendar value.
`Value(Double doubleValue)` Constructs a Double value.
`Value(ID linkedNodeIdValue)` Constructs a Link value, which refers to a node.
`Value(Long longValue)` Constructs a Long value.
`Value(Property[] nestedValue)` Constructs a nested value.
`Value(String stringValue)` Constructs a String value.

Method Summary
`Object` | `clone()` Clones a value.
`int` | `compareTo(Object obj)` Compares this PropertyChoices to obj.
`BinaryValue` | `getBinaryValue()` The value as a BinaryValue.
`Boolean` | `getBooleanValue()` The value as a Boolean.
`Calendar` | `getCalendarValue()` The value as a Calendar.
`Double` | `getDoubleValue()` The value as a Double.
`ID` | `getLinkValue()` The value as a Link node ID.
`Long` | `getLongValue()` The value as a Long.
`Property[]` | `getNestedValue()` The value as an array of `Property` objects, a nested type.
`String` | `getStringValue()` The value as a String.
`Object` | `getValue()` Gets the Value as an Object.
`Object` | `getValueByType(int type)` Return the correct value based on the type.
`String` | `toString()` Returns the Value as a String, except if the value is Binary, in which case mimeType, name and size is returned.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Value

    public Value()

  Constructs an empty Value.

### Value

    public Value(BinaryValue binaryValue)

  Constructs a BinaryValue Value.

### Value

    public Value(Boolean booleanValue)

  Constructs a Boolean value.

### Value

    public Value(Calendar calendarValue)

  Constructs a Calendar value.

### Value

    public Value(Double doubleValue)

  Constructs a Double value.

### Value

    public Value(ID linkedNodeIdValue)

  Constructs a Link value, which refers to a node.

### Value

    public Value(Long longValue)

  Constructs a Long value.

### Value

    public Value(String stringValue)

  Constructs a String value.

### Value

    public Value(Property[] nestedValue)

  Constructs a nested value.

Method Detail

### getBinaryValue

    public BinaryValue getBinaryValue()

  The value as a BinaryValue.

### getBooleanValue

    public Boolean getBooleanValue()

  The value as a Boolean.

### getCalendarValue

    public Calendar getCalendarValue()

  The value as a Calendar.

### getDoubleValue

    public Double getDoubleValue()

  The value as a Double.

### getLinkValue

    public ID getLinkValue()

  The value as a Link node ID.

### getLongValue

    public Long getLongValue()

  The value as a Long.

### getStringValue

    public String getStringValue()

  The value as a String.

### getNestedValue

    public Property[] getNestedValue()

  The value as an array of `Property` objects, a nested type.

### getValueByType

    public Object getValueByType(int type)

  Return the correct value based on the type. The user will then cast it to the appropriate object.

### getValue

    public Object getValue()

  Gets the Value as an Object.

### compareTo

    public int compareTo(Object obj)

  Compares this PropertyChoices to obj. This performs a native compare on all types, except Calendar is compared based on the time in milliseconds and BinaryValue is compared by name.

  Parameters
    `obj` - the `Object` to be compared.
  Returns
    the int value `0` if the `Value` being compared is equal to the argument `Object`; a value less than `0` if the `Value` being compared is somehow (this varies depending on the specific type of value) less than the argument `Object`; and a value greater than `0` if the `Value` being compared is somehow greater than the argument `Object` (signed comparison).

### toString

    public String toString()

  Returns the Value as a String, except if the value is Binary, in which case mimeType, name and size is returned.

  Overrides:
    `toString` in class `Object`

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Clones a value. Note that binary value stream values are not cloned, but merely copied.

  Overrides:
    `clone` in class `Object`
  Returns
    A clone of the value.
  Throws
    `CloneNotSupportedException` - If the clone fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved